classification
Title: Lib/test/test_bdb.py failed when ran as a script
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: miss-islington, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2018-07-21 18:02 by serhiy.storchaka, last changed 2018-12-05 22:31 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 8537 merged lajji, 2018-07-28 16:55
PR 10935 merged miss-islington, 2018-12-05 19:32
PR 10936 merged miss-islington, 2018-12-05 19:32
PR 10937 merged miss-islington, 2018-12-05 19:32
Messages (5)
msg322116 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-07-21 18:02
$ ./python Lib/test/test_bdb.py
...
======================================================================
FAIL: test_skip (__main__.StateTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "Lib/test/test_bdb.py", line 731, in test_skip
    tracer.runcall(tfunc_import)
  File "Lib/test/test_bdb.py", line 448, in __exit__
    self.test_case.fail(err_msg)
  File "Lib/test/test_bdb.py", line 582, in fail
    raise self.failureException(msg) from None
AssertionError: Wrong event type at expect_set item 2, got 'call'
  Expected: ('line', 3, 'tfunc_import')
  Got:      ('call', 84, '_id'),            ('quit',),

======================================================================
FAIL: test_runeval_step (__main__.RunTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "Lib/test/test_bdb.py", line 976, in test_runeval_step
    tracer.runeval('test_module.main()', globals(), locals())
  File "Lib/test/test_bdb.py", line 448, in __exit__
    self.test_case.fail(err_msg)
  File "Lib/test/test_bdb.py", line 582, in fail
    raise self.failureException(msg) from None
AssertionError: Wrong event type at expect_set item 2, got 'exception'
  Expected: ('call', 2, 'main')
  Got:      ('exception', 1, '<module>', AttributeError), ('step',),
All paired tuples have not been processed, the last one was number 2

======================================================================
FAIL: test_bp_condition (__main__.BreakpointTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "Lib/test/test_bdb.py", line 843, in test_bp_condition
    tracer.runcall(tfunc_import)
  File "Lib/test/test_bdb.py", line 456, in __exit__
    self.test_case.fail(not_empty)
  File "Lib/test/test_bdb.py", line 582, in fail
    raise self.failureException(msg) from None
AssertionError: All paired tuples have not been processed, the last one was number 1

======================================================================
FAIL: test_bp_exception_on_condition_evaluation (__main__.BreakpointTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "Lib/test/test_bdb.py", line 862, in test_bp_exception_on_condition_evaluation
    tracer.runcall(tfunc_import)
  File "Lib/test/test_bdb.py", line 456, in __exit__
    self.test_case.fail(not_empty)
  File "Lib/test/test_bdb.py", line 582, in fail
    raise self.failureException(msg) from None
AssertionError: All paired tuples have not been processed, the last one was number 1

======================================================================
FAIL: test_bp_ignore_count (__main__.BreakpointTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "Lib/test/test_bdb.py", line 883, in test_bp_ignore_count
    tracer.runcall(tfunc_import)
  File "Lib/test/test_bdb.py", line 456, in __exit__
    self.test_case.fail(not_empty)
  File "Lib/test/test_bdb.py", line 582, in fail
    raise self.failureException(msg) from None
AssertionError: All paired tuples have not been processed, the last one was number 1

======================================================================
FAIL: test_clear_two_bp_on_same_line (__main__.BreakpointTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "Lib/test/test_bdb.py", line 935, in test_clear_two_bp_on_same_line
    tracer.runcall(tfunc_import)
  File "Lib/test/test_bdb.py", line 456, in __exit__
    self.test_case.fail(not_empty)
  File "Lib/test/test_bdb.py", line 582, in fail
    raise self.failureException(msg) from None
AssertionError: All paired tuples have not been processed, the last one was number 4

======================================================================
FAIL: test_disabled_temporary_bp (__main__.BreakpointTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "Lib/test/test_bdb.py", line 823, in test_disabled_temporary_bp
    tracer.runcall(tfunc_import)
  File "Lib/test/test_bdb.py", line 456, in __exit__
    self.test_case.fail(not_empty)
  File "Lib/test/test_bdb.py", line 582, in fail
    raise self.failureException(msg) from None
AssertionError: All paired tuples have not been processed, the last one was number 1

======================================================================
FAIL: test_ignore_count_on_disabled_bp (__main__.BreakpointTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "Lib/test/test_bdb.py", line 910, in test_ignore_count_on_disabled_bp
    tracer.runcall(tfunc_import)
  File "Lib/test/test_bdb.py", line 456, in __exit__
    self.test_case.fail(not_empty)
  File "Lib/test/test_bdb.py", line 582, in fail
    raise self.failureException(msg) from None
AssertionError: All paired tuples have not been processed, the last one was number 1

======================================================================
FAIL: test_temporary_bp (__main__.BreakpointTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "Lib/test/test_bdb.py", line 795, in test_temporary_bp
    tracer.runcall(tfunc_import)
  File "Lib/test/test_bdb.py", line 456, in __exit__
    self.test_case.fail(not_empty)
  File "Lib/test/test_bdb.py", line 582, in fail
    raise self.failureException(msg) from None
AssertionError: All paired tuples have not been processed, the last one was number 1

======================================================================
FAIL: test_next_command_in_generator_for_loop (__main__.IssuesTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "Lib/test/test_bdb.py", line 1081, in test_next_command_in_generator_for_loop
    tracer.runcall(tfunc_import)
  File "Lib/test/test_bdb.py", line 456, in __exit__
    self.test_case.fail(not_empty)
  File "Lib/test/test_bdb.py", line 582, in fail
    raise self.failureException(msg) from None
AssertionError: All paired tuples have not been processed, the last one was number 1

======================================================================
FAIL: test_next_command_in_generator_with_subiterator (__main__.IssuesTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "Lib/test/test_bdb.py", line 1112, in test_next_command_in_generator_with_subiterator
    tracer.runcall(tfunc_import)
  File "Lib/test/test_bdb.py", line 456, in __exit__
    self.test_case.fail(not_empty)
  File "Lib/test/test_bdb.py", line 582, in fail
    raise self.failureException(msg) from None
AssertionError: All paired tuples have not been processed, the last one was number 1

======================================================================
FAIL: test_next_until_return_in_generator (__main__.IssuesTestCase) (set_type='next')
----------------------------------------------------------------------
Traceback (most recent call last):
  File "Lib/test/test_bdb.py", line 1050, in test_next_until_return_in_generator
    tracer.runcall(tfunc_import)
  File "Lib/test/test_bdb.py", line 456, in __exit__
    self.test_case.fail(not_empty)
  File "Lib/test/test_bdb.py", line 582, in fail
    raise self.failureException(msg) from None
AssertionError: All paired tuples have not been processed, the last one was number 1

======================================================================
FAIL: test_next_until_return_in_generator (__main__.IssuesTestCase) (set_type='until')
----------------------------------------------------------------------
Traceback (most recent call last):
  File "Lib/test/test_bdb.py", line 1050, in test_next_until_return_in_generator
    tracer.runcall(tfunc_import)
  File "Lib/test/test_bdb.py", line 456, in __exit__
    self.test_case.fail(not_empty)
  File "Lib/test/test_bdb.py", line 582, in fail
    raise self.failureException(msg) from None
AssertionError: All paired tuples have not been processed, the last one was number 1

======================================================================
FAIL: test_next_until_return_in_generator (__main__.IssuesTestCase) (set_type='return')
----------------------------------------------------------------------
Traceback (most recent call last):
  File "Lib/test/test_bdb.py", line 1050, in test_next_until_return_in_generator
    tracer.runcall(tfunc_import)
  File "Lib/test/test_bdb.py", line 456, in __exit__
    self.test_case.fail(not_empty)
  File "Lib/test/test_bdb.py", line 582, in fail
    raise self.failureException(msg) from None
AssertionError: All paired tuples have not been processed, the last one was number 1

======================================================================
FAIL: test_return_command_in_generator_with_subiterator (__main__.IssuesTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "Lib/test/test_bdb.py", line 1143, in test_return_command_in_generator_with_subiterator
    tracer.runcall(tfunc_import)
  File "Lib/test/test_bdb.py", line 456, in __exit__
    self.test_case.fail(not_empty)
  File "Lib/test/test_bdb.py", line 582, in fail
    raise self.failureException(msg) from None
AssertionError: All paired tuples have not been processed, the last one was number 1

======================================================================
FAIL: test_step_at_return_with_no_trace_in_caller (__main__.IssuesTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "Lib/test/test_bdb.py", line 1009, in test_step_at_return_with_no_trace_in_caller
    tracer.runcall(tfunc_import)
  File "Lib/test/test_bdb.py", line 456, in __exit__
    self.test_case.fail(not_empty)
  File "Lib/test/test_bdb.py", line 582, in fail
    raise self.failureException(msg) from None
AssertionError: All paired tuples have not been processed, the last one was number 2

----------------------------------------------------------------------
msg331145 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-12-05 19:32
New changeset 54fd45505b3a365e6d53441e6dd7e0d1ec13b46f by Serhiy Storchaka (Alex H) in branch 'master':
bpo-34185: Fix test module collision in test_bdb when ran as script. (GH-8537)
https://github.com/python/cpython/commit/54fd45505b3a365e6d53441e6dd7e0d1ec13b46f
msg331152 - (view) Author: miss-islington (miss-islington) Date: 2018-12-05 19:54
New changeset c7c4e938b98068e8e4e5fe56d441db696d47de78 by Miss Islington (bot) in branch '3.7':
bpo-34185: Fix test module collision in test_bdb when ran as script. (GH-8537)
https://github.com/python/cpython/commit/c7c4e938b98068e8e4e5fe56d441db696d47de78
msg331153 - (view) Author: miss-islington (miss-islington) Date: 2018-12-05 20:04
New changeset bacc272afc165df21c607aae4ff7bfa21ae1979d by Miss Islington (bot) in branch '2.7':
bpo-34185: Fix test module collision in test_bdb when ran as script. (GH-8537)
https://github.com/python/cpython/commit/bacc272afc165df21c607aae4ff7bfa21ae1979d
msg331154 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-12-05 20:20
New changeset 49d995fd6f2a703d19d93baf06fc9f911cb2ce06 by Serhiy Storchaka (Miss Islington (bot)) in branch '3.6':
bpo-34185: Fix test module collision in test_bdb when ran as script. (GH-8537) (GH-10936)
https://github.com/python/cpython/commit/49d995fd6f2a703d19d93baf06fc9f911cb2ce06
History
Date User Action Args
2018-12-05 22:31:39serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-12-05 20:20:05serhiy.storchakasetmessages: + msg331154
2018-12-05 20:04:59miss-islingtonsetmessages: + msg331153
2018-12-05 19:54:46miss-islingtonsetnosy: + miss-islington
messages: + msg331152
2018-12-05 19:32:43miss-islingtonsetpull_requests: + pull_request10192
2018-12-05 19:32:35miss-islingtonsetpull_requests: + pull_request10191
2018-12-05 19:32:27miss-islingtonsetpull_requests: + pull_request10190
2018-12-05 19:32:24serhiy.storchakasetmessages: + msg331145
2018-07-28 16:55:13lajjisetkeywords: + patch
stage: patch review
pull_requests: + pull_request8054
2018-07-21 18:02:02serhiy.storchakacreate